package com.imdroid.beidou_fwd.entity;

import java.util.List;

/**
 * @author Layton
 * @date 2023/2/19 9:16
 */
public class XFZData {

    private String ProjectID;

    private String WorkPointID;

    private String WorkPointLng = "0";

    private String WorkPointLat = "0";

    private List<Data> data;


    public static class Data {
        private String DevNum;

        private String Devtype;

        private String DevLng = "0";

        private String DevLat = "0";

        private double x;

        private double y;

        private double z;

        private String DataTime;

        public Data() {

        }

        public Data(String devNum, String devtype, String devLng, String devLat, double x, double y, double z, String dataTime) {
            DevNum = devNum;
            Devtype = devtype;
            DevLng = devLng;
            DevLat = devLat;
            this.x = x;
            this.y = y;
            this.z = z;
            DataTime = dataTime;
        }

        public String getDevNum() {
            return DevNum;
        }

        public void setDevNum(String devNum) {
            DevNum = devNum;
        }

        public String getDevtype() {
            return Devtype;
        }

        public void setDevtype(String devtype) {
            Devtype = devtype;
        }

        public String getDevLng() {
            return DevLng;
        }

        public void setDevLng(String devLng) {
            DevLng = devLng;
        }

        public String getDevLat() {
            return DevLat;
        }

        public void setDevLat(String devLat) {
            DevLat = devLat;
        }

        public double getX() {
            return x;
        }

        public void setX(double x) {
            this.x = x;
        }

        public double getY() {
            return y;
        }

        public void setY(double y) {
            this.y = y;
        }

        public double getZ() {
            return z;
        }

        public void setZ(double z) {
            this.z = z;
        }

        public String getDataTime() {
            return DataTime;
        }

        public void setDataTime(String dataTime) {
            DataTime = dataTime;
        }
    }

    public String getProjectID() {
        return ProjectID;
    }

    public void setProjectID(String projectID) {
        ProjectID = projectID;
    }

    public String getWorkPointID() {
        return WorkPointID;
    }

    public void setWorkPointID(String workPointID) {
        WorkPointID = workPointID;
    }

    public String getWorkPointLng() {
        return WorkPointLng;
    }

    public void setWorkPointLng(String workPointLng) {
        WorkPointLng = workPointLng;
    }

    public String getWorkPointLat() {
        return WorkPointLat;
    }

    public void setWorkPointLat(String workPointLat) {
        WorkPointLat = workPointLat;
    }

    public List<Data> getData() {
        return data;
    }

    public void setData(List<Data> data) {
        this.data = data;
    }
}
